Name: sweets-libxklavier
Version: 5.0

Release: 1.1
Group: Development/Tools/Other
Summary: High level XKB library
License: LGPLv2+
Url: http://www.freedesktop.org/Software/LibXklavier

Source: libxklavier-5.0.tar.gz
Source1: sweet.tar.gz



Requires: glib2 >= 2.16
Requires: iso-codes
Requires: libxml2
Requires: libX11 >= 1.1.3
Requires: libFS
Requires: libICE
Requires: libSM
Requires: libXScrnSaver
Requires: libXau
Requires: libXcomposite
Requires: libXcursor
Requires: libXdamage
Requires: libXdmcp
Requires: libXext
Requires: libXfixes
Requires: libXfont
Requires: libXft
Requires: libXi
Requires: libXinerama
Requires: libXmu
Requires: libXp
Requires: libXpm
Requires: libXrandr
Requires: libXrender
Requires: libXres
Requires: libXt
Requires: libXtst
Requires: libXv
Requires: libXvMC
Requires: libXxf86dga
Requires: libXxf86vm
Requires: libdmx
Requires: libdrm
Requires: libfontenc
Requires: libxkbfile
BuildRequires: gcc
BuildRequires: glib2-devel >= 2.16
BuildRequires: iso-codes-devel
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: libX11-devel >= 1.1.3
BuildRequires: libFS-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXfont-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXmu-devel
BuildRequires: libXp-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libXt-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libXvMC-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libdmx-devel
BuildRequires: libdrm-devel
BuildRequires: libfontenc-devel
BuildRequires: libxkbfile-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
High level XKB library

%prep
%setup -n libxklavier-5.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/libxklavier --disable-static CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/libxklavier '' '' > sweets-libxklavier.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/libxklavier/sweets.recipe >> sweets-libxklavier.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/libxklavier '' '' >> sweets-libxklavier.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/libxklavier
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/libxklavier/pydirs)
echo /opt/sweets/sdk/libxklavier/pydirs >> sweets-libxklavier.files

%post
test -e /opt/sweets/sdk/libxklavier/pydirs && for i in `cat /opt/sweets/sdk/libxklavier/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/libxklavier/pydirs && for i in `cat /opt/sweets/sdk/libxklavier/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-libxklavier.files

%changelog
